---
home: true
title: Internationalization plugin for Vue.js
meta:
  - name: keywords
    content: vue i18n l10n i18n vue.js fluent.js Fluent ProjectFluent translation localization
tagline: Internationalization plugin for Vue.js

actions:
  - text: Get Started
    link: /introduction.html
    type: primary

features:
- title: Simple api
  details: Just 2 methods, 1 directive and 1 component is all you need to internationalize your app.
- title: Vue 2 and 3 compatible
  details: By utilising @vue/composition-api library, fluent-vue is made compatible both with Vue version 2 and version 3.
- title: SFC support
  details: With fluent-vue-loader you can include localization messages with rest of your single file component code.
- title: Easy to read
  details: Fluent syntax used for describing translation is easy to read and understand.
- title: Powerful
  details: Fluent syntax allows to represent complex concepts of natural languages.
- title: Asymmetric localization
  details: Natural-sounding translations with genders and grammatical cases only when necessary.

footer: MIT Licensed | Copyright © 2020-present Ivan Demchuk
---

## Example

@[code{11-33}](./components/Simple.vue)

<simple-input />
